summaryrefslogtreecommitdiffstats
path: root/download
diff options
context:
space:
mode:
authorFrancis Rowe <info@gluglug.org.uk>2015-02-14 03:34:31 (EST)
committer Francis Rowe <info@gluglug.org.uk>2015-02-14 05:10:24 (EST)
commit50c4ca21103d6afcefda81833852c8f274398e20 (patch)
treeec043689b4ca8e0c6530383283d23c53180c5aa7 /download
parentc742ec0ecb2f2c5b7cc4f6e67d66792695822a0c (diff)
downloadlibreboot-50c4ca21103d6afcefda81833852c8f274398e20.zip
libreboot-50c4ca21103d6afcefda81833852c8f274398e20.tar.gz
libreboot-50c4ca21103d6afcefda81833852c8f274398e20.tar.bz2
Move the "get" scripts to resources/scripts/helpers/fetch/
Replace "getall" with "download", which takes as input an argument specifying which programme the user wants to download.
Diffstat (limited to 'download')
-rwxr-xr-xdownload51
1 files changed, 51 insertions, 0 deletions
diff --git a/download b/download
new file mode 100755
index 0000000..69ce4f2
--- /dev/null
+++ b/download
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+# download script: Download the programmes used in libreboot, that
+# aren't distributed in the git repository.
+#
+# Copyright (C) 2014, 2015 Francis Rowe <info@gluglug.org.uk>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+set -u -e -v
+
+download=./resources/scripts/helpers/fetch
+programme="unknown"
+
+usage="./download programme"
+availableprogrammes="$(ls $download/)"
+
+# User specified no or too few/many parameters
+if (( $# != 1 )); then
+ printf "$usage\n\n"
+ printf "possible values for 'programme':\neverything:\n$availableprogrammes\n\n"
+ printf "Example (download everything): ./download everything\n"
+ printf "Example (download coreboot): ./download coreboot\n\n"
+ exit 1
+fi
+programme=$1
+
+if [ "$programme" = "everything" ]; then
+ for programme in $availableprogrammes; do
+ $download/$programme
+ done
+elif [ -f "$download/$programme" ]; then
+ $download/$programme
+else
+ printf "Invalid programme. Available programmes are:\neverything\n$availableprogrammes\n"
+ exit 1
+fi
+
+# ------------------- DONE ----------------------